Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 621340 - [abrt] plague-client-0.4.5.7-8.20100505cvs.fc14: xmlrpclib.py:1294:single_request:AttributeError: PlgHTTPS instance has no attribute 'getresponse'
[abrt] plague-client-0.4.5.7-8.20100505cvs.fc14: xmlrpclib.py:1294:single_req...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:347d9355
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 15:19 EDT by Adam Williamson
Modified: 2010-08-18 21:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: plague-0.4.5.7-9.20100505cvs.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-18 21:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.29 KB, text/plain)
2010-08-04 15:19 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2010-08-04 15:19:24 EDT
abrt version: 1.1.10
architecture: x86_64
comment: Perhaps a Python 2.7 issue?
component: plague
executable: /usr/bin/plague-client
kernel: 2.6.35-0.57.rc6.git1.fc14.x86_64
package: plague-client-0.4.5.7-8.20100505cvs.fc14
reason: xmlrpclib.py:1294:single_request:AttributeError: PlgHTTPS instance has no attribute 'getresponse'
release: Fedora release 14 (Branched)
time: 1280949517
uid: 501

backtrace
-----
xmlrpclib.py:1294:single_request:AttributeError: PlgHTTPS instance has no attribute 'getresponse'

Traceback (most recent call last):
  File "/usr/bin/plague-client", line 423, in <module>
    cli = PlagueClient(os.path.expanduser(cfg_file))
  File "/usr/bin/plague-client", line 85, in __init__
    self._check_api_version(self._server)
  File "/usr/bin/plague-client", line 90, in _check_api_version
    server_ver = server.api_version()
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1570, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1294, in single_request
    response = h.getresponse(buffering=True)
AttributeError: PlgHTTPS instance has no attribute 'getresponse'

Local variables in innermost frame:
verbose: 0
request_body: "<?xml version='1.0'?>\n<methodCall>\n<methodName>api_version</methodName>\n<params>\n</params>\n</methodCall>\n"
h: <plague.SSLCommon.PlgHTTPS instance at 0x1f60fc8>
self: <plague.XMLRPCServerProxy.PlgSSL_Transport instance at 0x1f60c68>
host: 'buildsys.rpmfusion.org:8887'
handler: '/RPC2'

How to reproduce
-----
1. Tried to submit a build to RPM Fusion
2.
3.
Comment 1 Adam Williamson 2010-08-04 15:19:27 EDT
Created attachment 436641 [details]
File: backtrace
Comment 2 Adam Williamson 2010-08-04 15:20:35 EDT
See this from -devel list:

http://www.spinics.net/lists/fedora-devel/msg140041.html



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Michael Schwendt 2010-08-04 17:55:34 EDT
Python 2.7 xmlrpclib and httplib2 fall-out. The patch only fixes 2/3 of the issues, but was helpful. Full fix committed to pkg git.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2380323
Comment 4 Fedora Update System 2010-08-04 17:59:32 EDT
plague-0.4.5.7-9.20100505cvs.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/plague-0.4.5.7-9.20100505cvs.fc14
Comment 5 Fedora Update System 2010-08-05 10:23:38 EDT
plague-0.4.5.7-9.20100505cvs.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update plague'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/plague-0.4.5.7-9.20100505cvs.fc14
Comment 6 Fedora Update System 2010-08-18 21:23:34 EDT
plague-0.4.5.7-9.20100505cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.